ocamllint

AuthorEtienne Millon <etienne@cryptosense.com>
LicenseBSD-2
Homepagehttps://github.com/cryptosense/ocamllint
Issue Trackerhttps://github.com/cryptosense/ocamllint/issues
MaintainerEtienne Millon <etienne@cryptosense.com>
Dependencies
&ocamlfind>= 1.5.0
ounit
ppx_deriving
ppx_tools
Availableocaml-version >= "4.02.0" & ocaml-version < "4.03.0"
PublishedJan 7, 2016
Source [http] https://github.com/cryptosense/ocamllint/archive/v0.1.0.tar.gz
b61c8bd5d9942f187bdd73a0e4e448e6
StatisticsNot installed in the last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/ocamllint/ocamllint.0.1.0/opam

Detect common errors in OCaml code

OCamllint is a ppx plugin that checks for patterns in a OCaml code base:

  • common programming errors: using the wrong kind of comparison, computing unused values, going several times through a data structure, etc.
  • enforce style: use snake_case for identifiers, module types in caps, etc.
No package is dependent